GNU bug report logs - #50364
27.2; EDT mode Xmodmap related documentation needs updating

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: htl10@HIDDEN; dated Fri, 3 Sep 2021 23:26:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 50364 <at> debbugs.gnu.org:


Received: (at 50364) by debbugs.gnu.org; 28 Sep 2021 13:15:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 09:15:34 2021
Received: from localhost ([127.0.0.1]:44120 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVCxK-0006sv-OV
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 09:15:34 -0400
Received: from mail-pf1-f175.google.com ([209.85.210.175]:33284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mVCxJ-0006mq-92
 for 50364 <at> debbugs.gnu.org; Tue, 28 Sep 2021 09:15:33 -0400
Received: by mail-pf1-f175.google.com with SMTP id s16so18977982pfk.0
 for <50364 <at> debbugs.gnu.org>; Tue, 28 Sep 2021 06:15:33 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=tjJqMocuJQ7gZuiLz43RtVdHsfMs3QQGfA9WVNf2aqg=;
 b=bHIr4+ZUszRpXRhPE9n2pyWQ8EKVTSBL3hIfWh1hOhDd9Zhje0ZIyj9POPnGbemXNZ
 6jlzMoImkZ/wr3j35LF3C5aE5xbA5ILLRalAOg9ZVi3H7Gi4DX7v1bX28P7DrvhSVTFq
 V7T5CUJsSlC19TIoBrDOxCAcBKK3s/qrk2hPVQiXqbr5OamI8fwIQz5Is+8mPZqgDNyR
 ajP5ar8Nv3wrSFH2r2NVzWUGhg8/WKX35tI1MyEynq9gMTBz5nrt0RhGHpEfNRJ6KfDl
 byDeCEAS8CIlUtP86t12MqQ/d9o7XyDZDBt+ZK0kPrd3+m0/clSrf/JFG9qYvTkYr3QI
 E3aQ==
X-Gm-Message-State: AOAM5306ebK5oAGyMTun0f8uU/79hY9bs81SAKxURBi1T8RGFqSIZsYs
 8V6CtDd6MWu7hUVxyKPtsG7jiQsFNqaMGPqCY0Q=
X-Google-Smtp-Source: ABdhPJzO+ZZXYcg96CQegnGI6lJ1VRHn6PHBd6AdsNKrHGUzb843wmM+K6ANWDdCMXPgdlkOq9+82rhBW8jyGm/xpp4=
X-Received: by 2002:a63:4717:: with SMTP id u23mr4525250pga.359.1632834927534; 
 Tue, 28 Sep 2021 06:15:27 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 28 Sep 2021 06:15:26 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <71213734.3798271.1630788697800@HIDDEN> (Hin-Tak Leung's
 message of "Sat, 4 Sep 2021 20:51:37 +0000 (UTC)")
References: <880216814.3549587.1630711521093.ref@HIDDEN>
 <880216814.3549587.1630711521093@HIDDEN> <8335qkyia6.fsf@HIDDEN>
 <71213734.3798271.1630788697800@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Tue, 28 Sep 2021 06:15:26 -0700
Message-ID: <CADwFkm=O2oo2PMnL1H_r2gs4jXZbkqSr46sb6L-vKTLKL_DuWw@HIDDEN>
Subject: Re: bug#50364: 27.2;
 EDT mode Xmodmap related documentation needs updating
To: Hin-Tak Leung <htl10@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50364
Cc: Eli Zaretskii <eliz@HIDDEN>, ca22@HIDDEN, 50364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hin-Tak Leung <htl10@HIDDEN> writes:

> I can condense and improve the above into a patch, if you are happy to take it...

It seems like you got no reply here, but to clarify, we would indeed be
happy to take such a patch.  Thank you for working on this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50364; Package emacs. Full text available.

Message received at 50364 <at> debbugs.gnu.org:


Received: (at 50364) by debbugs.gnu.org; 4 Sep 2021 20:51:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 16:51:47 2021
Received: from localhost ([127.0.0.1]:48770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMcdf-0003Uk-Bk
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 16:51:47 -0400
Received: from sonic314-20.consmr.mail.ir2.yahoo.com ([77.238.177.146]:34808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <htl10@HIDDEN>) id 1mMcdd-0003UU-BV
 for 50364 <at> debbugs.gnu.org; Sat, 04 Sep 2021 16:51:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1630788699; bh=P337XFVeya7jNGzJAbFDzPDUs48FgsGK//lzfhXikxw=;
 h=Date:From:Reply-To:To:Cc:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=B3adbpfLrFr7qbIB1qLUDKEs70ZhesqGCP91ubt8kgXr+YEfxhLBZRXDRY4P+dLV6a9KqoNXEglzuK0XjzVRPThSdYvAH8IsfDJObHPStpQ09LTzke0dg0fP8+myILj8gEsWYyZJQkA9U+eYtJoKqzl33A0Jxbltbzd/qZHDjoizDM7pArsYeSkcSF1CArKs+AFxXBpF9oam4fjx93rnI/KfQNoxU8x5eTTPcJZ2EKBI5UcfrPNgAvIpbDhWbFHJLyruDaH9qEiYjZubINwYjmLT1cCMzNKWCKKmU4hU6xYP2A1AM0IM4OiRze9TuIgqV/l/NJ7Qnkum2YwaMSO9vA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1630788699; bh=oWDFa4W1OiminvF2JkR2NqJcQlR7bcjvkcAYNps9ux/=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=BPLzkMmcSb4nt4ISqiP47sK9VUpOdh11ZYWAtuRVu4AmRGJaWYW0xVNfIBGXYJg4tMkVGyQ4Pa5H0broGvOjZgbVL5LFxo4o9nqRoRoMeR+FTR3mFNmQ9A+OYAbn/26L+ZCzfYBz79OPFe9ESo4vaw+EwQVXbk0vIyEof0EIFrtb0BYZw1DDqdZ917WcTXeo/EwfcAbImeOzhGqQXPUaa6P5fe9UkJ31uhwdvH00cv1mobDoDvc6Xfm/rAx30QlJodAGulW2yyd8yyd6iF6wwvk7HKIL30HLTRi+zhgs47H50p81Ev91u87AN0eK6ulicn5a28G5j3H5w64synWsTw==
X-YMail-OSG: JQAgbnQVM1luuJyYoixGj3JFMgxP6RIPX5bVDFkFnF4wgKGCBzfieaWyOLIRBVc
 S3A5Kj0iDCihmJMGHZP_iCK9EwtbUB6gKBdm30UFI18UwdMAuaBLjtsdjTDUg1bP5RXkgL9TeETd
 5pVTExD0q3HuEVZKOntn1.Z7zMHbZoozY5PYnIjVHwBrdkLSxuHV4FnCOWlVrMScw_fEg.OI1IOS
 JESE3j39j_TGiiqefscztqaInwFU1RW4woRPGjExE.ppDHMyNK_mhVFIyMznQyAiusn3UJ3AfgMM
 fqvEoQQr9udrfLTq9r45PLkYKLx5wzw4Sbe4PXUVhdvuQb9Cl_5yhrrffuuu7g_w.fCxwNPhc.2w
 en8FlxaFpovFP.oKHuAec8_iTo73Pqq9ezZSznR9W8D6aZy0byOvdO9_r.4UtO6F6Wr8xLzsWCOG
 Qntk24NO_JYz72Cah_l0XJy.ch6cVTU1wXix2GzqdJtyBsRAQ7OmifMO1Njq8ZY.VR7kZWTOW7.j
 8JIeie8og9aA4pKg4ZfUsganPh87W.5ShTzI6em9iJj.1jjw79cJrT6Ipu0HheBU47xnf4G5UMzv
 hh4MTLt0nwCLsJc5Ngxl_gpLzDycq5O5tOgGq2mMhfhB1p2VQHo725w9S8q8Xn._aW_LybiM4gR3
 haBZ.2U9ZConvxrzS.vVJHzPlw344PiJnjGvqnWv_XQvfYbOBQ8KGsQhEGqp4QcJW5qRfWESFL1p
 kdTaSsEjBRaIHX4FeIn63DehMaSdG4k9d0oLb_4xfT_4zyqm.efwXihsjz6iZje6v4TbvrKDffFH
 jd8cQItfbPiLrIRBPY2K1iRkF1YtyY7OJz3Twmv7kTeWC7_pcqtv0.ljxDiL9gLJOym4nC0.leLO
 g9PXGZQWTiy7vtDLg8.4CQX.O2C.Js1M8sxv88Ii4UF0MZi8Pu33TMxAO0JjUfEJXKqC0uHA_1at
 TUCNqwaVkeWlUYqCJ3MT1PW.slCy5_0p0UDb7dH6hSvrGnqX_8CMe9wrwWrsBX._JJmYCfLHgpBv
 mMDeDIk_7GOgTlOs3dK1TyoCSmy4pqvRYGXPMLxnJFfAzGGnHolurn2uDuW_Q0gToyb.U7IrZ7oG
 QWUQdUunTb81dYaYd2gqjKoUFudek7L12vuv0bP.PCyjR8ivhGgQVhBvdVKogA.s5ce1imanJh22
 _nxwlfuVUjimzfCT64Ux4jCp3jjALrr_s6fIi5G5iZjwLxK0b8jjmFpylS4rFPh7s0EfqrLdUoKw
 t7Ok4bh_UM3NG7t9OBUtfXk0aUxoADpKLqCFGafTwZSzGE19kDGx155M1SiDiVYq1EhBeK3dpImr
 k0RQRWktJ6xNQnrFPOrNJ2Z8M32ATY9F6f4a53amdgJjIDUzEmtkZI27l_nZeQYHRLZMqk22jcYl
 cfLgxML1tAZHcfzItFYCCZICGWGlKKD4fmCaeBQ5HTw4foxA5WHb5TQuKwWkUtiOnos.BPhcIH0u
 MtFzxyQSOlJk8jaOMKSmVy1d04qfm0wn5aWu2_APqlbW4FwvLPIE1Cnjjfd2mpL6IJ8qo9ogfjk7
 wDsq7zJ8_.xb39znlkGtOGzGZo694E_xY6CYi6BrJRkMgmRw4t9sHK7WgmsfZz4gERj_acEZFW8T
 FfvZBEzuMU5okbAUPUUj2KwV8ddooMy3MXZDtacn1hnXxn1PZxPko5Z_.rIRslhazdCEFxO0yhcO
 XQLLeHgxFaA1hupPeQ7oe5gAiWJY3ds4MtOzzek3RD.a3bSCmi_08REe3d1dVSUZF2lCE3AQeWyh
 p4gu1aCNSujVPGfwcHY0NrOXR2jMMMB0T0IyZq8b.ajXjHio7QPBvZM9hQ0LzcqIwLas9UlF4zn7
 FWThlbz7ahGYjIZqWwTo1UwGe8gQl3yTxS5bN9Eoiacs6Q2zKJIMbbdUUeHtOtRanc.pDPN13v4o
 8g48EOlNh0J2RHjAWJt903KzTGkCQPzLHRqaEDLUmA87.9Ll4X6WTxUxqGKi4DAThJi3HF9OrxYy
 Okaz_McT6T45ZXdI75WFP76oZquxI7PyLGlsnMudAwTR_2kLAoLWDqzS68jl1.hFLq88wk8EU6Dw
 bWXW.xfmGHraH0NBlDn3V.7TF6PjMGLyCnnWUNFv4WhfGq8f1b9YN7h92t8m5nojpBwKmYZP4Odt
 dLTh8kSo2Qp2uib1mxBKETfCBn3eiwxYUJJltAGxjbQFsrG0j8YipnwtmFs2XjrJw8CXT5riaFBB
 Dpzl_7e9KZE40mLAr4QbW.__A7IKCvr2y.xBoovDFhQ4w9N0.fHPrbK9QJ34UyvYGRk61Tl6ZAg5
 7Ag0qXCWdyzN.CR27u6oljUNtkFbL_fYe4WuJkFSzyF6hlHIAycwoeBNXk8ko5BxslGZ2
X-Sonic-MF: <htl10@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ir2.yahoo.com with HTTP; Sat, 4 Sep 2021 20:51:39 +0000
Date: Sat, 4 Sep 2021 20:51:37 +0000 (UTC)
From: Hin-Tak Leung <htl10@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <71213734.3798271.1630788697800@HIDDEN>
In-Reply-To: <8335qkyia6.fsf@HIDDEN>
References: <880216814.3549587.1630711521093.ref@HIDDEN>
 <880216814.3549587.1630711521093@HIDDEN> <8335qkyia6.fsf@HIDDEN>
Subject: Re: bug#50364: 27.2; EDT mode Xmodmap related documentation needs
 updating
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_3798270_1844354605.1630788697799"
X-Mailer: WebService/1.1.18924 YMailNodin
Content-Length: 6318
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 50364
Cc: ca22@HIDDEN, 50364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: htl10@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

------=_Part_3798270_1844354605.1630788697799
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

 On Saturday, 4 September 2021, 07:19:39 BST, Eli Zaretskii <eliz@HIDDEN> =
wrote:

> Thanks.=C2=A0 Would you like to write some text that explains how to
> achieve this on modern platforms?=C2=A0 We could then update or augment
> what the manual says as appropriate.

Yes, I could do that, when I figure out a neat way of doing it.

The current EDT documentation is misleading/out-dated in two aspects:
it gives the impression that ~/.Xmodmap is auto-applied when a user logs in
to an X session. This file is ignored for about a decade for Gnome now,
and likely KDE, too. The second matter is that even if a user manually
runs "xmodmap ~/.Xmodmap", gnome-setting-daemon (and its KDE
equivalent, kxkb) periodically resets any manually applied xmodmap keyboard
mappings.

As far as I understand it, this is driven by two modern linux usages: plug-=
and-play
keyboards and power management, and desktop-wide international input suppor=
t.
Thus keyboard layouts are re-applied, whenever user plugs in new external
keyboards (for laptops), screensaver/monitor sleeps, or keyboard goes to sl=
eep
and wake up. Keyboard layouts are also reset when a user explicitly choose
to input non-ascii characters via switching the desktop input methods.

Since modern Xorg can auto-detect unusual keyboards and already bundles
190 models and 100 layouts (on my system), it seems to be quite difficult t=
o
"only" remaps a few keys.

The smallest change that is persistent is doing both:=20

Editing /usr/share/X11/xkb/symbols/pc, from
23: key <NMLK> { [ Num_Lock ] };
to
23: key <NMLK> { [ Clear ] };

and append to "gsettings get org.gnome.desktop.input-sources xkb-options" (=
retrieving the current xkb options)
with 'numpad:mac' using "gsettings set org.gnome.desktop.input-sources xkb-=
options" (setting it).

The combination of these two effectively turns the numerical keypad of the =
PC keyboard
to closer to how the "Apple Aluminium (*)" family of keyboards behave.

This approach suffers from editing a system file (and requires admin privil=
ege, and
also needs redoing on package upgrades).

There are a few alternative approaches, such as declaring new keyboard layo=
uts
(scattering a few new files across /usr/share/X11/xkb/ and editing a few ex=
isting
ones, also require admin privilege) or custom scripts trigged to run on pow=
er/plug
events (details of this functionality seems to have changed over the years,=
 and
flaky). So I haven't found a satisfactory answer that is simple, persistent=
,
user-config-only without root privilege, applicable to different Linux vint=
age, yet.

I can condense and improve the above into a patch, if you are happy to take=
 it...

Argh, there is also advice about running a script in the background which
periodically runs "xmodmap ~/.Xmodmap" every 5 or 10 seconds! =20
------=_Part_3798270_1844354605.1630788697799
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div>                On Saturday, 4 September 2021, 07:19:39 BST, Eli Zaret=
skii &lt;eliz@HIDDEN&gt; wrote:<br><br>&gt; Thanks.=C2=A0 Would you like t=
o write some text that explains how to<br>&gt; achieve this on modern platf=
orms?=C2=A0 We could then update or augment<br>&gt; what the manual says as=
 appropriate.<br><br>Yes,  I could do that, when I figure out a neat way of=
 doing it.<br><br>The current EDT documentation is misleading/out-dated in =
two aspects:<br>it gives the impression that ~/.Xmodmap is auto-applied whe=
n a user logs in<br>to an X session. This file is ignored for about a decad=
e for Gnome now,<br>and likely KDE, too. The second matter is that even if =
a user manually<br>runs &quot;xmodmap ~/.Xmodmap&quot;, gnome-setting-daemo=
n (and its KDE<br>equivalent, kxkb) periodically resets any manually applie=
d xmodmap keyboard<br>mappings.<br><br>As far as I understand it, this is d=
riven by two modern linux usages: plug-and-play<br>keyboards and power mana=
gement, and desktop-wide international input support.<br>Thus keyboard layo=
uts are re-applied, whenever user plugs in new external<br>keyboards (for l=
aptops), screensaver/monitor sleeps, or keyboard goes to sleep<br>and wake =
up. Keyboard layouts are also reset when a user explicitly choose<br>to inp=
ut non-ascii characters via switching the desktop input methods.<br><br>Sin=
ce modern Xorg can auto-detect unusual keyboards and already bundles<br>190=
 models and 100 layouts (on my system), it seems to be quite difficult to<b=
r>&quot;only&quot; remaps a few keys.<br><br>The smallest change that is pe=
rsistent is doing both: <br><br>Editing /usr/share/X11/xkb/symbols/pc, from=
<br>23:    key &lt;NMLK&gt; {=09[ Num_Lock =09=09]=09};<br>to<br>23:    key=
 &lt;NMLK&gt; {=09[ Clear =09=09]=09};<br><br>and append to &quot;gsettings=
 get org.gnome.desktop.input-sources xkb-options&quot; (retrieving the curr=
ent xkb options)<br>with &#39;numpad:mac&#39; using &quot;gsettings set org=
.gnome.desktop.input-sources xkb-options&quot; (setting it).<br><br>The com=
bination of these two effectively turns the numerical keypad of the PC keyb=
oard<br>to closer to how the &quot;Apple Aluminium (*)&quot; family of keyb=
oards behave.<br><br>This approach suffers from editing a system file (and =
requires admin privilege, and<br>also needs redoing on package upgrades).<b=
r><br>There are a few alternative approaches, such as declaring new keyboar=
d layouts<br>(scattering a few new files across /usr/share/X11/xkb/ and edi=
ting a few existing<br>ones, also require admin privilege) or custom script=
s trigged to run on power/plug<br>events (details of this functionality see=
ms to have changed over the years, and<br>flaky). So I haven&#39;t found a =
satisfactory answer that is simple, persistent,<br>user-config-only without=
 root privilege, applicable to different Linux vintage, yet.<br><br>I can c=
ondense and improve the above into a patch, if you are happy to take it...<=
br><br>Argh, there is also advice about running a script in the background =
which<br>periodically runs &quot;xmodmap ~/.Xmodmap&quot; every 5 or 10 sec=
onds!            </div>           =20
------=_Part_3798270_1844354605.1630788697799--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50364; Package emacs. Full text available.

Message received at 50364 <at> debbugs.gnu.org:


Received: (at 50364) by debbugs.gnu.org; 4 Sep 2021 06:19:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 02:19:37 2021
Received: from localhost ([127.0.0.1]:46240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMP1c-0002aJ-QR
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 02:19:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mMP1a-0002a6-PB
 for 50364 <at> debbugs.gnu.org; Sat, 04 Sep 2021 02:19:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51372)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mMP1U-0002xi-FV; Sat, 04 Sep 2021 02:19:28 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3537
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mMP1T-0005hi-VV; Sat, 04 Sep 2021 02:19:28 -0400
Date: Sat, 04 Sep 2021 09:19:29 +0300
Message-Id: <8335qkyia6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: htl10@HIDDEN
In-Reply-To: <880216814.3549587.1630711521093@HIDDEN>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#50364: 27.2;
 EDT mode Xmodmap related documentation needs updating
References: <880216814.3549587.1630711521093.ref@HIDDEN>
 <880216814.3549587.1630711521093@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50364
Cc: ca22@HIDDEN, 50364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Fri, 3 Sep 2021 23:25:21 +0000 (UTC)
> Cc: Charles Aylmer <ca22@HIDDEN>
> From:  Hin-Tak Leung via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Been fighting with EDT mode configuration for a few weeks. 
> 
> The fundamental problem is that all the Xmodmap related instruction in
>     https://git.savannah.gnu.org/cgit/emacs.git/tree/doc/misc/edt.texi#n418
> and the entire section from about
>     https://git.savannah.gnu.org/cgit/emacs.git/tree/doc/misc/edt.texi#n325
> to
>     https://git.savannah.gnu.org/cgit/emacs.git/tree/doc/misc/edt.texi#n530
> is significantly outdated, by about a whole decade.
> 
> Modern Linux - and also Sun Workstations which have Gnome as desktop - supports
> plug-and-play keyboards and mouses with X Keyboard Extension, and would periodically
> reset any manually applied xmodmap settings; and also since about Gnome 3.6
> (around 2010), ignores .Xmodmap .
> 
> The proper way of remapping the Num_Lock key to EDT's GOLD key usage
> is via a custom keyboard layout with X Keyboard Extension. Failing that,
> the Apple family of xkb keyboard models, "Apple laptop", and "Apple Aluminium (*)", 
> apple_laptop/applealu_ansi/applealu_iso/applealu_jis , have a definition
> for the Clear key at that key location.

Thanks.  Would you like to write some text that explains how to
achieve this on modern platforms?  We could then update or augment
what the manual says as appropriate.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50364; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Sep 2021 23:25:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 19:25:48 2021
Received: from localhost ([127.0.0.1]:46147 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMIZA-0006Mr-8Z
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 19:25:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:46654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <htl10@HIDDEN>) id 1mMIZ8-0006Mk-SH
 for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 19:25:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46336)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <htl10@HIDDEN>)
 id 1mMIZ8-0007Il-ME
 for bug-gnu-emacs@HIDDEN; Fri, 03 Sep 2021 19:25:46 -0400
Received: from sonic314-20.consmr.mail.ir2.yahoo.com ([77.238.177.146]:39710)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <htl10@HIDDEN>)
 id 1mMIZ5-00063J-Nx
 for bug-gnu-emacs@HIDDEN; Fri, 03 Sep 2021 19:25:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1630711524; bh=XO2K8G3grcb7PS4OL74Yi0l6GP9fqsfoL1WCEXEsmgs=;
 h=Date:From:Reply-To:To:Cc:Subject:References:From:Subject:Reply-To;
 b=lQhz/AQgf4R4h1MEJRRhOY1VMuNTG8olXBAzc6cmuiq6bKHZgv7I8K3Usi52/lrGfZQNHSgPs+d8GPwRmIBA0LkzQD0UEQ78tcoQm6nZnl1rNrVrU5vtpPo+rPUpVgNu6CqPen0UpCCdJop4hzi6LTOOMiuAFk+aif32Bf8+jOCgjSrpQaymhWczygUBPu+IuaFfKvKWEV9tHvLwj25gQTNCM5Yyl/53RSgLhPkr+hMdCeJomaF/JjfmkOxfWMpvL8lvvgTGKQ0YVrEsUVaa2l6xtAuCkTT/8q7xl5AJVlLtPPV9CD1AQmQyqTgwVTxJzbfCSLrNj9UKWN0V7Jzypw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1630711524; bh=TSTSB7iyaiE45+tT5iakb0kG02VH45mY02IPuMpQn1C=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=F7kFsgSlv8loeOo//8W3D6OlTEAmpvrTv0KpaBRI5kBkxrmBdLqnB3/CvZmOANpSLXeGAgRqWf++8jYPqYjGbF0biHp/dwq1cLgq4pW5Iee0JdsAtOVU1LcmVc+BSJt9/2Z5Nt8ywWqCmAJo6WVigIo1BrvF9hBtqPT8iUV4Th0gYzyzyshpE+6X5GyL5NUrq2NzGtGoq4vTq765HGsNcdq6yRVOY8hD0OMHSbJZ0nwKusX4z9hoqENUC4RFYmpwNC3Ifbt9OVFn2QccXi/2qFIbYmaFH2Gf3auLopNUD87oimOb1AQJWSOEeDFVyyZaXEsDrmEd9bg3KcJNd0GUtA==
X-YMail-OSG: VEsg0jYVM1kL7IVkkpASPyZGCswShRZ6vBK1iP6bOryop16kiBLDF2aINOUjVtV
 HfYrQlx9ZYl7PF5tPI1yf3LhZej9RSyFsxqQQPkfT521Ke4WjvdCjV3lPXNDp7bVdlErcLmplH_3
 po5CPJeG4icJYNW9kBdhUJe3V_QyCbFykGyv08DHc.O3UlwKOPT9KKpahSKv7rFFJ4IfHzpuXKyz
 Am3bT2yWpZD4gwKUSJ5pOor2Wq9GNBEGQ6eTZuU1X9LH.HU_HHIk9.yE1L5zkyxhsGo_A367y7G0
 U.L1PYFxOHYdLk72MLlCWcGwuYrvWRTT3_w24LT1NYsnSYZVtesOzV6cHuopHaze3dngtIzByUZJ
 99Q04LzewT1zyVDt5UcV8pWPSoTyXtxKjp4Cf7tz2EdPgCnl7OkG6ohxtiay7izEt_emcDwrVg0A
 ihfuyH7mNLztfxNFW8frEsqRz6IWBsXqcoz9D40iHQeeGswH3xF9I82vcsMEmw8pumZQQidORDxH
 qYQ_mj9Bu.ZleIv.xWYd78zlexWqA3qPmCswKX3uAqPDV_tjqNlOIX9maBYaQjD7ImqxYcdgGZlv
 6EN9LVN0M0rJJeL3dLyNj9PUii71fwYrNpxq_ebgDQQXUEHqZgiAN1_5I_ltGXxvHtGgsx5lhjx_
 PiMzx2DUi.fn5zYAnEW0C5VfG3pKSnHUK39hBsANDtrBjUUsddz.PqtP4JqTSLOl0xVmPEmywKLu
 7A6Lo7y8GM4_KNwGLu6syLmh8cNrJqPkUkn4wZtHNW5Rd6vBTJsUoUHUEEPZbBSFyw8_cJ39tAeY
 8YrSNgEKcVRfUlQbvi9ZEStLZOx6SJHTJY2LJCwlq9GEggGSyJXuJtcHv3qsEGcmvQZ3NacN39zA
 .EPXt42hGkcXBpKl.b_3jBB7vWvDYMRNA1ATX3k1RcLyseheridllVtMS3njqUhhbM.rRMQ9sjFH
 pdFh1lQqPwYDvG_OYUL7lhpKp7lWCEcng1lSpZK7hb6onG8xCs1KBWxYJRwvVeqheqNvYoW63BR.
 Xd1QTW0Nc.QQyeVKzN.e0EWs9AXAXxn3Cw1eYQVsSTTr9OZHvBKhvkCVZv96QyT3GArCqUZVvLJp
 F8Skon_BsJtoZuVcEI4CzWFJ.Eh.q6vVVz2DcAUOrA8ntfeGcF9hEPSldpZfweudKJz2julWMioB
 xQGofhx42MzrStXcU5.BEWP802GOuVcwyY.8qxnbqN7r43aMCrjhM.xb_xy8qlbt.Udfxl7GeGjN
 vqSTZS3JvESObxIAVU_CFo_N8LA1NfkSgjHtcvd4hSU5ghtuZwZCKY.bY72WkpvP31yOfE5p9IaO
 HYn8_IOI8pZYNWKuxHoXAYOX81ZCUSBbXyAxbR00SNbSabHMXXeFnCcNkt3Roz8mQeC_iGgNYbNj
 B5c_Wp_RBrPIvjXi6MFRwqTwR71RonFbOzdJrbYn7TzlI1.KzJWdSE6iLWMdgxtg413KU8G6UcGu
 ZBuwnIUzV8j.svB6urR1.O8rx.eyyPrlEQ4GqyXccNGb2qGpBeuc_il0CJhIbYfjuUVTLUiXi0pL
 jjCIXLc3_S41hnvu9Frbd.0szj60cXAUZtOVu2sY70sCbdAekxhefrCdO5aFuhubelJR3YeCNMh2
 Xc7msLjZeKcpK6Zt5kA3xUMKPpZGJBswnbVJupVZKro805JcQHOoQwuoxy_kbic_pShpEVSEDZqu
 HnsTyqZHbfUCeqb0zBskE_.dE2AfUYQvqGIk2awzBv9s_lncd1b4URy9KmpTTP74LaeIkFua4D2U
 vgNeJ5vFDDqcYn1QRTXZWEFzsxqC32GpoFV2o.E8v67.v2E_Spw.9w81DWwz1ItrnHGTv2xPWgmS
 YsqJgJq3wgBldNoIyRUjuY7BJfrvSZg6p77qxXdmno1wQgzjv0RXsYsq2CXWwgVYvwJo_G4y2Qlo
 Aas1YHq9iwLLv9X2zNH3ZFXbk6da.wOFVM2FQp7Yd1.QHbT0lgBrBJYx6mKYux3.6ka9Ht5OlkJ3
 1cJbR8ZUGcdBngnOZ0w153qanHG6kn9KZdEMpNhQ4wiH17Oc8VVvw5RlMit1UOEz.BbJQtR3f5r6
 ODUqoReyEZBQ4bpseWAohPsXYNujDieNKeDrjZMN3_lJSWhbEckgRYuTA8FmhjSRvr9y_AX.UieH
 4v0uAUwzXxQ53ynG802fUrQ2LXLCBDyZ_JGQ5MxbYATv._D3cwyi2oSllDcbqnECRMq.9I48bBFs
 UwE_Bs3cNkdQcfuHfzBE9e9Q3TtjK_19tcvi9DlCCHj3iwFzdHW0GphqUez86M1JV_gPIJljr76N
 Is52swGFBeCgzv1u7sWaxfuvR5ElC_giQmW5N0IxMqHNH7eBcD308OA--
X-Sonic-MF: <htl10@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ir2.yahoo.com with HTTP; Fri, 3 Sep 2021 23:25:24 +0000
Date: Fri, 3 Sep 2021 23:25:21 +0000 (UTC)
From: Hin-Tak Leung <htl10@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Message-ID: <880216814.3549587.1630711521093@HIDDEN>
Subject: 27.2; EDT mode Xmodmap related documentation needs updating
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
References: <880216814.3549587.1630711521093.ref@HIDDEN>
X-Mailer: WebService/1.1.18924 YMailNodin
Content-Length: 1070
Received-SPF: softfail client-ip=77.238.177.146;
 envelope-from=htl10@HIDDEN;
 helo=sonic314-20.consmr.mail.ir2.yahoo.com
X-Spam_score_int: 2
X-Spam_score: 0.2
X-Spam_bar: /
X-Spam_report: (0.2 / 5.0 requ) BAYES_05=-0.5, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_SOFTFAIL=0.665 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Charles Aylmer <ca22@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: htl10@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,

Been fighting with EDT mode configuration for a few weeks. 

The fundamental problem is that all the Xmodmap related instruction in
    https://git.savannah.gnu.org/cgit/emacs.git/tree/doc/misc/edt.texi#n418
and the entire section from about
    https://git.savannah.gnu.org/cgit/emacs.git/tree/doc/misc/edt.texi#n325
to
    https://git.savannah.gnu.org/cgit/emacs.git/tree/doc/misc/edt.texi#n530
is significantly outdated, by about a whole decade.

Modern Linux - and also Sun Workstations which have Gnome as desktop - supports
plug-and-play keyboards and mouses with X Keyboard Extension, and would periodically
reset any manually applied xmodmap settings; and also since about Gnome 3.6
(around 2010), ignores .Xmodmap .

The proper way of remapping the Num_Lock key to EDT's GOLD key usage
is via a custom keyboard layout with X Keyboard Extension. Failing that,
the Apple family of xkb keyboard models, "Apple laptop", and "Apple Aluminium (*)", 
apple_laptop/applealu_ansi/applealu_iso/applealu_jis , have a definition
for the Clear key at that key location.




Acknowledgement sent to htl10@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50364; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Sep 2021 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.